Skip to main content
`Ctrl`+`K`

# PCSPAISetNBSteps

set maximum number of improvement steps per row in the `PCSPAI` preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCSPAISetNBSteps(PC pc, PetscInt nbsteps1)

## Input Parameters

- pc - the preconditioner

- nbsteps1 - number of steps (default 5)

## Note

`PCSPAI` constructs to approximation to every column of the exact inverse of A in a series of improvement steps. The quality of the approximation is determined by epsilon. If an approximation achieving an accuracy of epsilon is not obtained after `nbsteps1` steps, `PCSPAI` simply uses the best approximation constructed so far.

## See Also

KSP: Linear System Solvers, `PCSPAI`, `PCSetType()`, `PCSPAISetMaxNew()`

## Level

intermediate

## Location

src/ksp/pc/impls/spai/ispai.c

## Implementations

PCSPAISetNBSteps_SPAI() in src/ksp/pc/impls/spai/ispai.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages